main()
{
	setExpFog(0.00025, 0.8, 0.8, 0.8, 0);
	ambientPlay("ambient_mp_pavlov");
        maps\mp\_load::main();
        maps\mp\Univermag_fx::main();

	game["allies"] = "russian";
	game["axis"] = "german";

	game["american_soldiertype"] = "russian_conscript";
	game["american_soldiervariation"] = "normal";
	game["german_soldiertype"] = "wehrmacht";
	game["german_soldiervariation"] = "normal";

        game["attackers"] = "allies";
        game["defenders"] = "axis";

	game["layoutimage"] = "Univermag";
	
	cacheFx();
	startFx();
}


cacheFx() {
	level._effect["smoke"] = loadfx ("fx/smoke/blacksmokelinger.efx");
  level._effect["smoke"] = loadfx ("fx/smoke/blacksmokelinger.efx");
	level._effect["mortarflash"]= loadfx("fx/muzzleflashes/mortarflash.efx");
	level._effect["motarsmoke_em"] = loadfx ("fx/muzzleflashes/motarsmoke_em.efx");
  level._effect["mortar"] = loadfx ("fx/surfacehits/dawnville_mortar.efx");
	level._effect["motarsmoke_em"] = loadfx ("fx/muzzleflashes/motarsmoke_em.efx");
  level._effect["mortar"] = loadfx ("fx/surfacehits/dawnville_mortar.efx");

}

startFx() {

  maps\mp\_fx::loopfx("smoke", (-2128, 3272, 400), 0.3);
  maps\mp\_fx::loopfx("smoke", (1600,-3784, 56), 0.3);
  maps\mp\_fx::loopfx("smoke", (3264,-5160, 208), 0.3);            

	radio_triggers = getentarray("radio", "targetname");
	if (isdefined(radio_triggers)) {
		for (i =0; i < radio_triggers.size; i++) {
			radio_triggers[i] thread radio_think();
		}
	}

  startMortars();
	
}

radio_think() {

	for (;;) {
		self waittill("trigger", other);
		radio = getent(self.target,"targetname");
		if (isdefined(radio))
		  radio thread play_radio();
		wait 90;
	}
}

play_radio() {

	if (isdefined(self.script_sound))
	    self playsound (self.script_sound); 
	else
	    self playsound ("kraut_radio"); 
	

}

startMortars() {

  mortars = getentarray ("mortar", "targetname");
  for (m = 0; m < mortars.size; m++) 
    mortars[m] thread mortar_think();
}

mortar_think() {
 
  self.mortar = getent(self.target, "targetname");
  if (!isdefined(self.mortar)) return;
  
  self.targets = getentarray(self.mortar.target, "targetname");
  if (!isdefined(self.targets)) return;
    
  if (self.targets.size < 1)
    return;

//  if (!isdefined(self.mortar.model))
    //self.mortar setmodel ("xmodel/artillery_german_granatwerfer");

  delayTime = 3;
  if (isdefined (self.delay)) {
    delayTime = self.delay / 1000; //don't know why, but delay comes through as map # * 1000;
  }

  for (;;) {
            
    self waittill("trigger", other);
    self thread shoot_mortar();
    
    wait delayTime;
    
  }
  
}

shoot_mortar() {
    self.mortar playsound ("mp_mortar_load"); 
    wait 0.5;
    maps\mp\_fx::OneShotfx("mortarflash", self.mortar.origin, 0);
    self.mortar playsound ("mp_mortar_launch"); 
    
    if (self.targets.size > 1)
      impact = self.targets[randomint(self.targets.size-1)]; 
    else 
      impact = self.targets[0];
    wait 4;
    maps\mp\_fx::OneShotfx("mortar", (impact.origin), 0);
    impact playsound ("grenade_explode_default");
    range = 420;  //mortars get 20% increase in range and power over nades
		maxdamage = 145; //20% more than nades
		mindamage = 5; //same min as nades
  	radiusDamage (impact.origin + (0,0,12), range, maxdamage, mindamage); //not working for some reason.
  	earthquake(0.3, 1, impact.origin, 850); // scale duration source radius
}
